------------------------------------------------------------------------------
--                                                                          --
--                           GNATELIM COMPONENTS                            --
--                                                                          --
--                G N A T E L I M . A N A L Y Z E _ U N I T                 --
--                                                                          --
--                       P r o c e d u r e   S p e c                        --
--                                                                          --
--                            $Revision: 1.1 $
--                                                                          --
--            Copyright (C) 1998-2001 Ada Core Technologies, Inc.           --
--                                                                          --
-- GNATELIM  is  free software;  you can  redistribute it and/or  modify it --
-- under the terms of the  GNU  General Public License  as published by the --
-- Free Software Foundation; either version 2 or (at your option) any later --
-- version. GNATELIM is distributed in the hope that it will be useful, but --
-- WITHOUT ANY WARRANTY; without even the implied warranty of  MERCHANTABI- --
-- LITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public Li- --
-- cense for  more details.  You should  have  received  a copy of the  GNU --
-- General Public License distributed with GNAT; see file COPYING.  If not, --
-- write to  the  Free  Software  Foundation,  59 Temple Place - Suite 330, --
-- Boston, MA 02111-1307, USA.                                              --
--                                                                          --
-- The original version  of  Gnatelim  was developed by  Alain  Le  Guennec --
-- It is now maintained by Ada Core Technologies Inc  (http://www.gnat.com) --
--                                                                          --
------------------------------------------------------------------------------

with Asis;

procedure Gnatelim.Analyze_Unit
  (Unit : Asis.Compilation_Unit; Mode : Analysis_Mode);
--  Analyzes the given compilation unit, extracting all the scope definitions
--  and transfers of control of interest to GNATELIM that are defined in it,
--  and storing them in internal tables. If Analysis_Mode is set to
--  No_Instance_Bodies, doesn't process instance bodies; if Analysis_Mode is
--  set to Instance_Bodies_Only, processes only instance bodies on the upper
--  level
